# WEB+DB PRESS Vol.91 連載「Perl Hackers Hub」第37回「PerlでInfrastructure as Code」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.91」の連載「Perl Hackers Hub」第37回「PerlでInfrastructure as Code」のサンプルコードです。

本誌に登場したコードを単体で試せる形式で用意してあります。

# 使い方

`daiku`, `aws`, `mackerel`, `migration`, `chat`のそれぞれのディレクトリに、サンプルコードと`cpanfile`を用意しています。
それぞれ、`cpanm`コマンドもしくは`carton`コマンドを利用して依存モジュールをインストールしてからお使いください。

```
# cpanmを使う場合
$ cpanm --installdeps .

# cartonを使う場合
$ carton install
```

# 環境変数

一部のスクリプトを実行するためには、アクセスキーやトークンなどを環境変数として与える必要があります。

- `aws`ディレクトリに配置されたスクリプトで利用する環境変数
    - `AWS_AMI_ID`             ... 起動するEC2インスタンスのAMIのIDを指定します
    - `AWS_SUBNET_ID`          ... 起動するEC2インスタンスが属するサブネットのIDを指定します
    - `AWS_SECURITY_GROUP_IDS` ... 起動するEC2インスタンスに付与するセキュリティグループのIDを指定します
    - `AWS_ELB_NAME`           ... EC2インスタンスを紐付けるELBの名前を指定します
- `mackerel`ディレクトリに配置されたスクリプトで利用する環境変数
    - `MACKEREL_API_KEY`      ... MackerelのAPIキーを指定します
    - `MACKEREL_SERVICE_NAME` ... APIキーに対応したオーガニゼーションに存在するサービスの名前を指定します
- `migration`ディレクトリに配置されたスクリプトで利用する環境変数
    - `DBI_DATA_SOURCE` ... マイグレーション対象となるデータベースのデータソースを指定します
    - `DBI_USERNAME`    ... マイグレーション対象となるデータベースのユーザネームを指定します
    - `DBI_PASS`        ... マイグレーション対象となるデータベースのパスワードを指定します
- `chat`ディレクトリに配置されたスクリプトで利用する環境変数
    - `HIPCHAT_AUTH_TOKEN` ... HipChatのトークンを指定します
    - `SLACK_TOKEN`        ... Slackのトークンを指定します
