use strict;
use warnings;

use WebService::Mackerel;
use JSON;
use Data::Dumper;

if (@ARGV < 1) {
    print "Usage: update_monitor.pl [monitor id]\n";
    exit 1;
}

my $id = shift @ARGV;

my $mkr = WebService::Mackerel->new(
    api_key      => $ENV{MACKEREL_API_KEY},
    service_name => $ENV{MACKEREL_SERVICE_NAME},
);

$mkr->update_monitor($id, {
    type          => "host",
    name          => "CPU %",
    metric        => "cpu%",
    duration      => 1,
    operator      => ">",
    warning       => 60,
    critical      => 90,
    scopes        => [],
    excludeScopes => [],
});
