use strict;
use warnings;
use lib 'lib';

use DBI;
use SQL::Translator;
use SQL::Translator::Diff;
use My::Schema;

my $target = My::Schema->translator();

my $dbh = DBI->connect($ENV{DBI_DATA_SOURCE}, $ENV{DBI_USERNAME}, $ENV{DBI_PASS});
my $source = SQL::Translator->new(
    parser      => 'DBI',
    parser_args => { dbh => $dbh },
)->translate();

my $diff = SQL::Translator::Diff->new({
    output_db     => 'MySQL',
    target_schema => $target->schema(),
    source_schema => $source,
})->compute_differences->produce_diff_sql;

print $diff;

for my $stmt (split /;/, $diff) {
    next unless $stmt =~ /\S/;
    $dbh->do($stmt) or die $dbh->errstr();
}
